import { ref } from 'vue'
import { defineStore } from 'pinia'

export const useMenuStore = defineStore('menu', () => {
  const routeList = ref([{
    path: '/kmplatform/home',
    name: 'home',
    title: "主页",
    children: []
  },
  {
    path: '/kmplatform/knowledgebase',
    name: 'knowledgebase',
    title: "知识库",
    children: []
  },
  {
    path: '/kmplatform/kgbuilder',
    name: 'kgbuilder',
    title: "知识图谱构建",
    children: []
  },
  {
    path: '/kmplatform/openplatform',
    name: 'openplatform',
    title: "开放平台",
    children: []
  }])
  return { routeList }
})
